Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.l10n
Class DefaultLocaleProvider

    java.lang.Object
      com.bea.netuix.servlets.l10n.DefaultLocaleProvider

All Implemented Interfaces
  LocaleProvider

    public class DefaultLocaleProvider

extends Object
implements LocaleProvider

Default implementation of `LocaleProvider` that uses the `ServletRequest` as the source of preferred Locales.

Constructor Summary
`DefaultLocaleProvider()`

Method Summary
`Enumeration` | `getLocales(javax.servlet.ServletRequest request, javax.servlet.ServletContext context)` Provides an Enumeration of Locales that can be used to determine the most appropriate response Locale.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLocaleProvider

    public DefaultLocaleProvider()

Method Detail

### getLocales

    public Enumeration getLocales(javax.servlet.ServletRequest request,
                                  javax.servlet.ServletContext context)

  Provides an Enumeration of Locales that can be used to determine the most appropriate response Locale.

  This implementation just uses the `ServletRequest` to obtain the set of preferred locales.

  Specified by:
    `getLocales` in interface `LocaleProvider`
  Parameters
    `request` - the current `ServletReqeust`
    `context` - the current `ServletContext`
  Returns
    an `Enumeration` of preferred `Locale` objects, ordered by preference

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.